class Operand{
	public StringBuffer buf;

	public Operand(){ 
		buf = new StringBuffer(14); 
		}

	public void addDigit(char ch){
		buf.append(ch);
		}  

	public void deleteLastDigit(){
		String s =new String(buf);
		buf = new 
StringBuffer(s.substring(0,s.length()-1));
		}
	
	public void reset(){
		buf = new StringBuffer(14);
		}	 

	public void set(double val){ 
		reset();
		buf.append(val);
		}

	public void complete(){      
		Double d = new Double(buf.toString());
		OperandTest.st.push(d);
		}
	}
